LINUX.ORG.RU

zinFrameDriver: disagrees about version of symbol module_layout


0

1

Привет,
есть задача: собрать ядро на базе 3.0.0-14.24 от убунты с некоторыми необходимыми изменениями. При этом должна сохраняться совместимость с драйверами (в данном случае проприетарными), собранными под оригинальный кернел убунты.
Я собрал ядро по такому мануалу (http://blog.avirtualhome.com/2011/10/28/how-to-compile-a-new-ubuntu-11-10-one...)
К сожалению сохранить совместимость не удалось:
RPN:~# modprobe zinFrameDriver
FATAL: Error inserting zinFrameDriver (/lib/modules/3.0.0-14-generic/kernel/drivers/touch/zinFrameDriver.ko): Invalid module format
RPN:~# dmesg | tail
[ 537.360595] zinFrameDriver: disagrees about version of symbol module_layout
Если кто-либо сталкивался с подобной задачей просьба откликнуться.

Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.